Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.aamanager.session
Class SessionManagerImpl

    java.lang.Object
      tle.framework.component.impl.aamanager.session.SessionManagerImpl

All Implemented Interfaces:
  SessionManager

public class SessionManagerImpl
extends java.lang.Object
implements SessionManager

SessionManager의 구현 클래스.

Since:
  2.0
Author:
  최범균

Constructor Summary
`SessionManagerImpl()`

Method Summary
`void` | `closeSession(HttpServletRequest request, HttpServletResponse response)` HttpSession을 종료한다.
`User` | `getSessionUser(HttpServletRequest request)` HttpSession에 저장된 User 객체를 리턴한다.
`void` | `init(ComponentConfig configuration)` 컴포넌트의 "SessionManagerImpl.sessionAttributeName" 초기화 파라미터로부터 User 정보를 저장할 session의 속성 이름을 전달받는다.
`void` | `openSession(User user, HttpServletRequest request, HttpServletResponse response)` HttpSession에 인자로 전달받은 user를 속성으로 저장한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionManagerImpl

    public SessionManagerImpl()

Method Detail

### init

    public void init(ComponentConfig configuration)
              throws AAManagerException

  컴포넌트의 "SessionManagerImpl.sessionAttributeName" 초기화 파라미터로부터 User 정보를 저장할 session의 속성 이름을 전달받는다. 지정하지 않았을 경우에는 기본값으로 "user"를 사용한다.

  Specified by:
    `init` in interface `SessionManager`
  Parameters:
    `configuration` -
  Throws:
    `AAManagerException`
  See Also:
    `SessionManager.init(tle.framework.component.ComponentConfig)`

### openSession

    public void openSession(User user,
                            HttpServletRequest request,
                            HttpServletResponse response)

  HttpSession에 인자로 전달받은 user를 속성으로 저장한다.

  Specified by:
    `openSession` in interface `SessionManager`
  Parameters:
    `user` - 사용자
    `request` - HTTP 요청
    `response` - HTTP 응답
  See Also:
    `tle.framework.component.impl.aamanager.SessionManager#openSession(tle.framework.component.spi.aamanager.User, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### closeSession

    public void closeSession(HttpServletRequest request,
                             HttpServletResponse response)
                      throws AAManagerException

  HttpSession을 종료한다.

  Specified by:
    `closeSession` in interface `SessionManager`
  Parameters:
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `AAManagerException`
  See Also:
    `tle.framework.component.impl.aamanager.SessionManager#closeSession(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### getSessionUser

    public User getSessionUser(HttpServletRequest request)
                        throws AAManagerException

  HttpSession에 저장된 User 객체를 리턴한다. 존재하지 않을 경우 null을 리턴한다.

  Specified by:
    `getSessionUser` in interface `SessionManager`
  Parameters:
    `request` - HTTP 요청
  Returns:
    세션에 저장된 User. 존재하지 않을 경우 null을 리
  Throws:
    `AAManagerException`
  See Also:
    `tle.framework.component.impl.aamanager.SessionManager#getSessionUser(javax.servlet.http.HttpServletRequest)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD